HP LaserJet Pro MFP M281fdw

Forum rules
Before you post please read this
MrT
Level 3
Level 3
Posts: 129
Joined: Tue Jun 20, 2017 3:21 pm

Re: HP LaserJet Pro MFP M281fdw

Post by MrT » Sat Jul 28, 2018 6:41 pm

srq2625 wrote:
Fri Jul 27, 2018 7:56 am
MrT wrote:
Fri Jul 27, 2018 2:25 am
In LM 19 as soon as I logged in the printer was there and available wirelessly. I swear I did not do one single thing. And it prints. However, the scanner does not work. Nothing I tried seems to make it work. Simple Scan tells me that there is no scanner detected. I tried to connect the printer using the USB cable. Nothing. As a matter of fact I do not even think that I see the printer at all.
You may need to

Code: Select all

$ sudo apt-get update
$ sudo apt-get install hplip hplip-gui
$ hp-setup
$ hp-plugin
That last command downloads from HP some code that seems to be required to get LM talking to the scanner (or is it the other way around?). This is the only way I've been able to get good quality print and scan (of any sort) from my HP LaserJet.
Thank you srq2625. I may try that.. I am a bit reluctant for fear to upset the status quo where the printer does work and properly. The scanner, is not a must have for me. The quality of the printer, I assume is more than satisfactory and that is the reason I purchased it. The cover of my book was not acceptable though, but a friend of mine, a professional, detected the issue: my cover was composed in 100dpi resolution. So, I re-did it at 300dpi resolution and now it is much better. If need be I could redo it at 600dpi which creates gigantic files, but if one is going for quality that is what is needed. So I take back the remark about the quality of the printing.

pdc_2
Level 8
Level 8
Posts: 2418
Joined: Mon May 11, 2009 1:21 am

HP MFP M281fdw is airprint-compatible

Post by pdc_2 » Sat Jul 28, 2018 10:57 pm

Hi there Mr T: so the printer side of that 281 device is "airprint compatible": https://en.wikipedia.org/wiki/AirPrint

Airprint support came in with Ubuntu 17.04 and as Mint 19 is from 18.04; (putatively stable and LTS); then it is now in Mint;

if you go to the Printers folder; look for the icon for the 281; right-click on the icon; select PROPERTIES: and then look across to the right-hand columns; look in MAKE & MODEL ... if you drag the window to the right to see all the text .. I wonder if it says "driverless" as would suggest airprint has determined what is configured:

please tell us what is in that line

MrT
Level 3
Level 3
Posts: 129
Joined: Tue Jun 20, 2017 3:21 pm

Re: HP MFP M281fdw is airprint-compatible

Post by MrT » Sun Jul 29, 2018 12:18 pm

pdc_2 wrote:
Sat Jul 28, 2018 10:57 pm
Hi there Mr T: so the printer side of that 281 device is "airprint compatible": https://en.wikipedia.org/wiki/AirPrint

Airprint support came in with Ubuntu 17.04 and as Mint 19 is from 18.04; (putatively stable and LTS); then it is now in Mint;

if you go to the Printers folder; look for the icon for the 281; right-click on the icon; select PROPERTIES: and then look across to the right-hand columns; look in MAKE & MODEL ... if you drag the window to the right to see all the text .. I wonder if it says "driverless" as would suggest airprint has determined what is configured:

please tell us what is in that line
If I click Printers from the LM menu, the printer I am using is there. And an instance of the previous one. I made the new one the default.
That is what I see in /etc/cups/ppd/HP_Color_Laserjet_MFP_M281fdw_xxxx.ppd
Is CUPS what you were thinking of?

pdc_2
Level 8
Level 8
Posts: 2418
Joined: Mon May 11, 2009 1:21 am

Re: HP LaserJet Pro MFP M281fdw

Post by pdc_2 » Sun Jul 29, 2018 3:32 pm

thanks for that
Is CUPS what you were thinking of?
No; I just meant what I posted above: if you go to the Printers folder; look for the icon for the 281; right-click on the icon; select PROPERTIES: and then look across to the right-hand columns; look in MAKE & MODEL ... if you drag the window to the right to see all the text .. I wonder if it says "driverless" as would suggest airprint has determined what is configured:

perhaps you tell us what is there for both icons please?

MrT
Level 3
Level 3
Posts: 129
Joined: Tue Jun 20, 2017 3:21 pm

Re: HP LaserJet Pro MFP M281fdw

Post by MrT » Mon Jul 30, 2018 11:17 am

pdc_2 wrote:
Sun Jul 29, 2018 3:32 pm
thanks for that
Is CUPS what you were thinking of?
No; I just meant what I posted above: if you go to the Printers folder; look for the icon for the 281; right-click on the icon; select PROPERTIES: and then look across to the right-hand columns; look in MAKE & MODEL ... if you drag the window to the right to see all the text .. I wonder if it says "driverless" as would suggest airprint has determined what is configured:

perhaps you tell us what is there for both icons please?
I am afraid that I do not know where the Printers folder is located. I have been looking for a bit and cannot find it anywhere. :(

pdc_2
Level 8
Level 8
Posts: 2418
Joined: Mon May 11, 2009 1:21 am

where is PRINTERS sub-folder?

Post by pdc_2 » Mon Jul 30, 2018 2:36 pm

we have the Mate version of Mint: if I start bottom-left corner of the screen at MENU; then up to ADMINISTRATION; then inside that on our system is PRINTERS:

another way is to click on MENU; then type PRINTERS into the Search box at the bottom of the grey box that opens; (the grey box that lists all the various sub-menus)

MrT
Level 3
Level 3
Posts: 129
Joined: Tue Jun 20, 2017 3:21 pm

Re: HP LaserJet Pro MFP M281fdw

Post by MrT » Mon Jul 30, 2018 11:04 pm

There is not really much....
Screenshot from 2018-07-30 20-03-04.png

pdc_2
Level 8
Level 8
Posts: 2418
Joined: Mon May 11, 2009 1:21 am

Re: HP LaserJet Pro MFP M281fdw

Post by pdc_2 » Tue Jul 31, 2018 4:47 am

I suspect this is the airprint option: if it were using hplip, it would say "HP Laserjet Pro M280 Series, hpcups 3.18.6." or something similar ..

someone in a previous post suggested you do

Code: Select all

hp-setup
..... so why don't you try that and see if it can configure the scanner for you?

(It may also create another icon for the 281 in the PRINTERS folder; your choice which you use )

MrT
Level 3
Level 3
Posts: 129
Joined: Tue Jun 20, 2017 3:21 pm

Re: HP LaserJet Pro MFP M281fdw

Post by MrT » Tue Jul 31, 2018 11:36 am

I can try that.. If I have 2 printers listed, it is not the end of the world.

pdc_2
Level 8
Level 8
Posts: 2418
Joined: Mon May 11, 2009 1:21 am

Re: HP LaserJet Pro MFP M281fdw

Post by pdc_2 » Tue Jul 31, 2018 1:26 pm

so why don't you try that and see if it can configure the scanner for you?

MrT
Level 3
Level 3
Posts: 129
Joined: Tue Jun 20, 2017 3:21 pm

Re: HP LaserJet Pro MFP M281fdw

Post by MrT » Tue Jul 31, 2018 11:17 pm

pdc_2 wrote:
Tue Jul 31, 2018 4:47 am
I suspect this is the airprint option: if it were using hplip, it would say "HP Laserjet Pro M280 Series, hpcups 3.18.6." or something similar ..

someone in a previous post suggested you do

Code: Select all

hp-setup
..... so why don't you try that and see if it can configure the scanner for you?

(It may also create another icon for the 281 in the PRINTERS folder; your choice which you use )
hp-setup
does not work for me. I get the following.

P Linux Imaging and Printing System (ver. 3.17.10)
Printer/Fax Setup Utility ver. 9.0

Copyright (c) 2001-15 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

warning: GUI Modules PyQt4 and PyQt5 are not installed
error: hp-setup requires GUI support (try running with --qt3). Also, try using interactive (-i) mode.

pdc_2
Level 8
Level 8
Posts: 2418
Joined: Mon May 11, 2009 1:21 am

Re: HP LaserJet Pro MFP M281fdw

Post by pdc_2 » Wed Aug 01, 2018 9:13 pm

so you seem to be running hplip version 3.17.10 and the printing side of your device would need 3.18.5 according to HP;

but if you are printing well on the airprint driver, all seems fine; (you aren't using hplip to print ..)

I suspect for the scanner to work, you need the newer version of hplip; but one needs to purge the old version; then install the new;

if you want the scanner to work, I can post a how-to

srq2625
Level 4
Level 4
Posts: 420
Joined: Tue Jan 08, 2013 11:35 am
Location: State: Constant Confusion, Country: D'oh

Re: HP LaserJet Pro MFP M281fdw

Post by srq2625 » Thu Aug 02, 2018 8:05 am

MrT wrote:
Tue Jul 31, 2018 11:17 pm
does not work for me. I get the following.

P Linux Imaging and Printing System (ver. 3.17.10)
Printer/Fax Setup Utility ver. 9.0

Copyright (c) 2001-15 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

warning: GUI Modules PyQt4 and PyQt5 are not installed
error: hp-setup requires GUI support (try running with --qt3). Also, try using interactive (-i) mode.
As I indicated above...
You may need to

Code: Select all

$ sudo apt-get update
$ sudo apt-get install hplip hplip-gui
$ hp-setup
$ hp-plugin
The installation of hplip-gui will address the warning about the GUI modules.

MrT
Level 3
Level 3
Posts: 129
Joined: Tue Jun 20, 2017 3:21 pm

Re: HP LaserJet Pro MFP M281fdw

Post by MrT » Thu Aug 02, 2018 7:42 pm

srq2625 wrote:
Thu Aug 02, 2018 8:05 am
MrT wrote:
Tue Jul 31, 2018 11:17 pm
does not work for me. I get the following.

P Linux Imaging and Printing System (ver. 3.17.10)
Printer/Fax Setup Utility ver. 9.0

Copyright (c) 2001-15 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

warning: GUI Modules PyQt4 and PyQt5 are not installed
error: hp-setup requires GUI support (try running with --qt3). Also, try using interactive (-i) mode.
As I indicated above...
You may need to

Code: Select all

$ sudo apt-get update
$ sudo apt-get install hplip hplip-gui
$ hp-setup
$ hp-plugin
The installation of hplip-gui will address the warning about the GUI modules.
mrt@mrt-WT73VR-7RM ~ $ sudo apt-get install hplip hplip-gui
Reading package lists... Done
Building dependency tree
Reading state information... Done
hplip is already the newest version (3.17.10+repack0-5).
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
hplip-gui : Depends: python3-pyqt5 but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

MrT
Level 3
Level 3
Posts: 129
Joined: Tue Jun 20, 2017 3:21 pm

Re: HP LaserJet Pro MFP M281fdw

Post by MrT » Fri Aug 03, 2018 2:20 am

I am not an expert in Linux by any standards. But, I can say without any doubt that, based on my experience, Hplpi and hplpi-gui are among the worst software I have ever encountered in Linux. Obsolete sources (3.17.10 vs 3.18.6 or even 3.18.7!!!) dependencies that are missing and it is not clear where to find them and how to install them. If I try to install from sources, Linux MInt 19 is missing (highest available is 18.3)... Comments from users are few and far between and range from great to horrible.

Thankfully I still have Windows 10 to use the scanner whenever I need (which is not too often, but that is beyond the point). Printers and scanners so far for me Windows 10 - LM 19 5-0. I have solved all my problems in Linux one way or another so far, hplpi I am afraid is going to remain unsolved.

srq2625
Level 4
Level 4
Posts: 420
Joined: Tue Jan 08, 2013 11:35 am
Location: State: Constant Confusion, Country: D'oh

Re: HP LaserJet Pro MFP M281fdw

Post by srq2625 » Fri Aug 03, 2018 7:00 am

MrT wrote:
Fri Aug 03, 2018 2:20 am
I am not an expert in Linux by any standards. But, I can say without any doubt that, based on my experience, Hplpi and hplpi-gui are among the worst software I have ever encountered in Linux. Obsolete sources (3.17.10 vs 3.18.6 or even 3.18.7!!!)
If you want the latest and greatest - Linux is not the place for you unless you run with something like Arch or openSuse TumbleWeed - they are bleeding edge rolling releases and are, by their very nature, prone to breakage.

However, if you want the latest hplip available, download the source code and compile it yourself. It's not hard - even I figured out how to do it; I posted a description of my "process" here.

MrT
Level 3
Level 3
Posts: 129
Joined: Tue Jun 20, 2017 3:21 pm

Re: HP LaserJet Pro MFP M281fdw

Post by MrT » Sat Aug 04, 2018 2:53 pm

MrT wrote:
Sat Jul 28, 2018 6:41 pm
srq2625 wrote:
Fri Jul 27, 2018 7:56 am
MrT wrote:
Fri Jul 27, 2018 2:25 am
In LM 19 as soon as I logged in the printer was there and available wirelessly. I swear I did not do one single thing. And it prints. However, the scanner does not work. Nothing I tried seems to make it work. Simple Scan tells me that there is no scanner detected. I tried to connect the printer using the USB cable. Nothing. As a matter of fact I do not even think that I see the printer at all.
You may need to

Code: Select all

$ sudo apt-get update
$ sudo apt-get install hplip hplip-gui
$ hp-setup
$ hp-plugin
That last command downloads from HP some code that seems to be required to get LM talking to the scanner (or is it the other way around?). This is the only way I've been able to get good quality print and scan (of any sort) from my HP LaserJet.
Thank you srq2625. I may try that.. I am a bit reluctant for fear to upset the status quo where the printer does work and properly. The scanner, is not a must have for me. The quality of the printer, I assume is more than satisfactory and that is the reason I purchased it. The cover of my book was not acceptable though, but a friend of mine, a professional, detected the issue: my cover was composed in 100dpi resolution. So, I re-did it at 300dpi resolution and now it is much better. If need be I could redo it at 600dpi which creates gigantic files, but if one is going for quality that is what is needed. So I take back the remark about the quality of the printing.
@srq2625.. so many dependencies missing. Did you download your tarball.gz file?... LM 19 is not really covered among the selections... what libs did you install? The commands above, as given, would not install or do anything. Thank you

pdc_2
Level 8
Level 8
Posts: 2418
Joined: Mon May 11, 2009 1:21 am

Re: HP LaserJet Pro MFP M281fdw

Post by pdc_2 » Sat Aug 04, 2018 8:16 pm

so to install the latest version of hplip, you need to use the terminal; (the black tv screen on the bottom line); or just press three keys down at once: control and alt and t ..... like a piano chord;

you need to paste the commands that are below; (copy them using control and v keys); and to paste into the terminal, continue your piano chord idea and hold down control and shift and v keys .. in the terminal .... yes, 3 keys so it is different to a normal control and v to paste ..

Oh: and best delete the existing hplip before a new install so do

Code: Select all

sudo apt purge hplip
...... now having cleansed things, go here https://developers.hp.com/hp-linux-imag ... g/gethplip to download

and make sure it SAVES the package that will be hplip-3.18.7.run and it should end up in your Downloads folder

so as the terminal is likely already open as you have purged the earlier version ..

Code: Select all

cd Downloads

Code: Select all

sh hplip-3.18.7.run
and that should ........ do the install and it should ....... look for missing dependencies and it should ........... find them and install them .... and it should .. set up a printer icon in the PRINTERS folder that should say; when you right-click; and look in MAKE & MODEL
hpcups 3.18.7

MrT
Level 3
Level 3
Posts: 129
Joined: Tue Jun 20, 2017 3:21 pm

Re: HP LaserJet Pro MFP M281fdw

Post by MrT » Sat Aug 04, 2018 10:23 pm

yes, I understand that, but what version of hplip do you download? LM 19 is not offered by HP yet.

pdc_2
Level 8
Level 8
Posts: 2418
Joined: Mon May 11, 2009 1:21 am

Re: HP LaserJet Pro MFP M281fdw

Post by pdc_2 » Sun Aug 05, 2018 4:02 am

my post above suggests you download the one listed in that post;

does HP auto-sense which Mint version you have?

Post Reply

Return to “Printers & Scanners”